#ifndef INPUTPASSWORDDIALOG_H
#define INPUTPASSWORDDIALOG_H

#include <LoQClass/loqdialog.h>

namespace Ui {
class InputPasswordDialog;
}

class InputPasswordDialog : public LoQDialog
{
    Q_OBJECT

public:
    explicit InputPasswordDialog(QWidget *parent = nullptr,int iBackgroundType=0);
    ~InputPasswordDialog();
    void ShowChangePassword();
signals:
    void sigAcceptData(QString strIP);
protected slots:
    void onAccepted();
    void OnChangePsPro();
private:
    Ui::InputPasswordDialog *ui;
};

#endif // INPUTPASSWORDDIALOG_H
